<?php 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
$sessao = new sessao();
$cliente=strtoupper($sessao->getVar('cliente'));
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
$visualizacao[0]='STATUS DESTA AMOSTRA(Módulo em fase de testes)';
$objetocalculo = new calculos(); //calcula todos valores finais
$letraIdentificadora=$sessao->getVar('controle');
//if($letraIdentificadora=='R')$enquadramentoLegenda='Outras  especies cultivadas';
//if($letraIdentificadora=='C')$enquadramentoLegenda='Silvestres';
//if($letraIdentificadora=='T')$enquadramentoLegenda='Toleradas';
//if($letraIdentificadora=='P')$enquadramentoLegenda='Proibidas';

//pesquisa os testes e retestes desta amostra//////////////////////
 

/////////////////fim da pesquisa de retestes////////////////////

$visualizacao[$contador]='Documentos:';
$contador++;
$visualizacao[$contador]='Fou pago [SIM] Valor:';

$limite=sizeof($visualizacao);

				if (isset($_POST['bt_fechar'])):
           		  print("<SCRIPT LANGUAGE='JavaScript'>
                  window.close('telaOESP.php','','width=500,height=500,left=700,top=200');
		          </script>");
                endif;

				

//cria o vetor para aquela especie
	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"fic_amostra_previa" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
				"fic_categoria" => NULL,
				"esp_grupo2011" => NULL,
				"fic_finalizada_nocivas" => NULL,

			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):

            if($finalidade=='PREVIA'):
 			    $vetorFicha[1]=$resgenerica->fic_amostra_previa;
			else:
 			    $vetorFicha[1]=$resgenerica->fic_amostra;
			endif;  
			$finalizada=$resgenerica->fic_finalizada_nocivas;
			$vetorFicha[0]=$resgenerica->fic_lote;
			$vetorFicha[2]=$resgenerica->esp_nome;
			$vetorFicha[3]=$resgenerica->fic_categoria;
			$vetorFicha[4]=$resgenerica->esp_grupo2011;
			$vetorFicha[5]=$resgenerica->esp_id;
			$grupo2011=$resgenerica->esp_grupo2011;
	    endwhile;
		
		
		
  	    //echo("eeeeeeeeeeeeeeeeespecie= $vetorFicha[2]<br>"); 
		  
     //enche vetor contaminantes
	 //aqui em vez destes if para cada categoria coloca um lowcase e soma com lim
	 $campoLimite="lim_s2";        //aqui vai o valor deful. se ele usar semente propria ou o descambau ele pega da s1 s[e fini
	 if($vetorFicha[3]=="C1") $campoLimite="lim_c1";
	 if($vetorFicha[3]=="C2") $campoLimite="lim_c2";
	 if($vetorFicha[3]=="S1") $campoLimite="lim_s1";
	 if($vetorFicha[3]=="S2") $campoLimite="lim_s2";
	 if($vetorFicha[3]=="GENETICA") $campoLimite="lim_genetica";
	 if($vetorFicha[3]=="IMPORTADA") $campoLimite="lim_importada";
	 if($vetorFicha[3]=="BASICA") $campoLimite="lim_basica";
	 //define o codigo da cultura
	 $codigoCultura=$vetorFicha[5];//se nao pertencer a um grupo entao pega o id da cultura
     //$grupo2011=$vetorFicha[4]; //pega o grupo pode ser grupo indefinido dai fica codigo da cultura = id da cultura
	 //acha o id do grupo
	 //$codigoCultura=$vetorFicha[4];
     $codigoCulturaPescado=$objetocalculo->capturaIDGrupo($grupo2011);
	 $codigoCultura=$codigoCulturaPescado;
	 
	 
	 //aqui vai mostrar a tabela que foi solicitada
     if($letraIdentificadora=='R'):

			echo '<h2>Requerentes cadastrados</h2>';
	        
			$sessao = new sessao();
			$sessao->setVar('controle',1);       
			$sessao->setVar('associada','REQUERENTE');  
			$associada=$sessao->getVar('associada');
			//echo("dentro do bt_listaremetentesalvou sessao associada = $associada idLabo==$idLabo  finalidade=$finalidade nomeOperador=$nomeOperador<br>");

	        ?>


		<div style="overflow: auto; width: 1000px; height: 200px; border:solid 1px">          <table bgcolor="white" class="tabela" style="width:1000px">  
 
            <thead>
                <tr>
                    <th>Nome</th><th>Endereço</th><th>Município</th><th>Cadastro</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new remetentes();
				$user->extras_select = "WHERE prd_id_lab=".$idLabo. " order by prd_nome";

                $user->selecionaTudo($user);
                $contador=0;
                while ($res = $user->retornaDados()):
                    $contador++;  
					if($contador % 2 !=0):
					   $cor="silver";
					else:
					   $cor="white";
					endif; 
                    echo '<tr>';
                    printf('<td bgcolor='.$cor.'>%s',$res->prd_nome);
					printf('
					</a> <a href="?m=amostras_2&t=editar&prd_id2016=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->prd_id);
                    printf('<td bgcolor='.$cor.'>%s</td>',$res->prd_endereco);
                    printf('<td bgcolor='.$cor.'>%s</td>',$res->prd_municipio);
                    printf('<td class="center"  bgcolor='.$cor.'>%s</td>',date("d/m/Y",strtotime($res->prd_datacad)));
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
		</div>
        <?php
        endif;//testa qual letra identificadora foi solicitada no caso testou se é R de requerente

/////////////////////////////////comeca cultivares///////////////////////////////////////////
	 //aqui vai mostrar a tabela que foi solicitada no caso cultivares
     if($letraIdentificadora=='C'):
	        echo '<h2>Cultivares cadastrados(Ordenadas por espécie/cultivar)</h2>';

			$sessao->setVar('controle',2);     		       
	        ?>
		    <div style="overflow: auto; width: 800px; height: 200px; border:solid 1px">         
			<table bgcolor="white" class="tabela" style="width:800px">  
	            <thead>
	                <tr>
	                    <th>Nome da cultivar</th><th>Espécie</th><th>Nome cientifico</th>
	                </tr>
	            </thead>
	            <tbody>
	                <?php 
	                $user = new cultivaresespecies();
					$user->extras_select = "where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  order by esp_nome,ctv_nome  ";
	                $user->selecionaTudo($user);
					  $contador=0;  
	                while ($res = $user->retornaDados()):
					  $contador++;  
					  if($contador % 2 !=0):
					     $cor="silver";
					  else:
					     $cor="white";
					  endif; 
	                    echo '<tr>';
	                    printf('<td bgcolor='.$cor.'>%s',$res->ctv_nome);
						printf('
						<a href="?m=amostras_2&t=editar&ctv_id2016=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
						</td>',$res->ctv_id);
	                    printf('<td bgcolor='.$cor.'>%s</td>',$res->esp_nome);
	                    printf('<td bgcolor='.$cor.'>%s</td>',$res->esp_nome_cientifico);
	                    echo '</tr>';
	                endwhile;                
	                ?>
	            </tbody>
	        </table>
            </div>
	        <?php        
         endif;// testa qual letra identificadora foi solicitada no caso testou se é C de cultivares       





?>

<script type="text/javascript"> 
function closeIframe() 
{ 
   parent.document.getElementById("userform").style.display="none" 
} 
</script> 
<!--<center><img src="imagemficha2017_verso.JPG" height="600"  width="800" border="0" alt="xxxxxxxx">-->
<html>
<!--
<body bgcolor="#f31032">   fica vermelho-->
<!--<body background="imagemficha2017_verso.JPG"    > -->  <!--funfa-->
<body class="painel"> 


<form class="userform" method="post" action="">
	
        
</form>
</body>



</html>
